Skip to main content
Version: main

Installing Weave GitOps

Pre-requisites

Kubernetes Cluster

No matter which version of Weave GitOps you install, having a Kubernetes cluster up and running is required. This version of Weave GitOps is tested against the following Kubernetes releases:

Kubernetes ReleaseEnd of Life
1.252023-10-27
1.242023-07-28
1.232023-02-28
1.222022-10-28

Note that the version of Flux that you use might impose further minimum version requirements.

Installing Weave GitOps itself

Depending on your setup and requirement you have the following choice

Installation
Weave GitOps
Weave GitOps Enterprise
Weave GitOps Enterprise - Airgap Environmnets
AWS Marketplace